# Class CommandHandler | EchoHub Documentation

# Class CommandHandler

Namespace
  EchoHub.Client.Commands

Assembly
  EchoHub.Client.dll

    public class CommandHandler

Inheritance
  object
  CommandHandler

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### CommandHandler()

    public CommandHandler()

## Methods

### HandleAsync(string)

    public Task<CommandResult> HandleAsync(string input)

#### Parameters

`input` string

#### Returns

Task<CommandResult>

### IsCommand(string)

    public bool IsCommand(string input)

#### Parameters

`input` string

#### Returns

bool

## Events

### OnAssignRole

    public event Func<string, string, Task>? OnAssignRole

#### Event Type

Func<string, string, Task>

### OnBanUser

    public event Func<string, string?, Task>? OnBanUser

#### Event Type

Func<string, string, Task>

### OnChangeRoomPassword

    public event Func<string, string, Task>? OnChangeRoomPassword

#### Event Type

Func<string, string, Task>

### OnClearAttachments

    public event Func<Task>? OnClearAttachments

#### Event Type

Func<Task>

### OnCreateInvite

    public event Func<int?, int?, Task>? OnCreateInvite

#### Event Type

Func<int?, int?, Task>

### OnDeleteAccount

    public event Func<Task>? OnDeleteAccount

#### Event Type

Func<Task>

### OnExportData

    public event Func<Task>? OnExportData

#### Event Type

Func<Task>

### OnHelp

    public event Func<Task>? OnHelp

#### Event Type

Func<Task>

### OnJoinChannel

    public event Func<string, string?, Task>? OnJoinChannel

#### Event Type

Func<string, string, Task>

### OnKickUser

    public event Func<string, string?, Task>? OnKickUser

#### Event Type

Func<string, string, Task>

### OnLeaveChannel

    public event Func<Task>? OnLeaveChannel

#### Event Type

Func<Task>

### OnListInvites

    public event Func<Task>? OnListInvites

#### Event Type

Func<Task>

### OnListUsers

    public event Func<Task>? OnListUsers

#### Event Type

Func<Task>

### OnMuteUser

    public event Func<string, int?, Task>? OnMuteUser

#### Event Type

Func<string, int?, Task>

### OnNukeChannel

    public event Func<Task>? OnNukeChannel

#### Event Type

Func<Task>

### OnOpenProfile

    public event Func<string?, Task>? OnOpenProfile

#### Event Type

Func<string, Task>

### OnOpenServers

    public event Func<Task>? OnOpenServers

#### Event Type

Func<Task>

### OnQuit

    public event Func<Task>? OnQuit

#### Event Type

Func<Task>

### OnRevokeInvite

    public event Func<string, Task>? OnRevokeInvite

#### Event Type

Func<string, Task>

### OnRoomInfo

    public event Func<Task>? OnRoomInfo

#### Event Type

Func<Task>

### OnSendAction

    public event Func<string, Task>? OnSendAction

#### Event Type

Func<string, Task>

### OnSendBanner

    public event Func<string, Task>? OnSendBanner

#### Event Type

Func<string, Task>

### OnSendFile

    public event Func<string, string?, Task>? OnSendFile

#### Event Type

Func<string, string, Task>

### OnSetAsciiSize

    public event Func<string, Task>? OnSetAsciiSize

#### Event Type

Func<string, Task>

### OnSetAvatar

    public event Func<string, Task>? OnSetAvatar

#### Event Type

Func<string, Task>

### OnSetColor

    public event Func<string, Task>? OnSetColor

#### Event Type

Func<string, Task>

### OnSetDownloadPath

    public event Func<string, Task>? OnSetDownloadPath

#### Event Type

Func<string, Task>

### OnSetNick

    public event Func<string, Task>? OnSetNick

#### Event Type

Func<string, Task>

### OnSetStatus

Status update. A null status means "keep the current status"; a null message means "keep the current message" and an empty message means "clear it". The orchestrator resolves both against the session state.

    public event Func<UserStatus?, string?, Task>? OnSetStatus

#### Event Type

Func<UserStatus?, string, Task>

### OnSetTheme

    public event Func<string, Task>? OnSetTheme

#### Event Type

Func<string, Task>

### OnSetTopic

    public event Func<string, Task>? OnSetTopic

#### Event Type

Func<string, Task>

### OnTestSound

    public event Func<Task>? OnTestSound

#### Event Type

Func<Task>

### OnUnbanUser

    public event Func<string, Task>? OnUnbanUser

#### Event Type

Func<string, Task>

### OnUnmuteUser

    public event Func<string, Task>? OnUnmuteUser

#### Event Type

Func<string, Task>